<template>
  <div class="p-top-60 gsmt-section" :class="{'mobile': isMobileGlobal()}">
    <div class="main">
      <h1 class="main-title"> GSMT Management</h1>
      <a-row :gutter="16">
        <a-col class="gutter-row" :span="24" :xl="{ span: 16 }">
          <a-row :gutter="16">
            <a-col class="gutter-row" :span="24" :lg="{ span: 12 }" :xl="{ span: 14 }" :xxl="{ span: 10 }">
              <div class="balance mb-3">
                <div class="wallet">
                  <span>BALANCE DETAILS</span>
                  <span>$ 2,123,122,00</span>
                  <span>3.2311 GSMT</span>
                  <div class="d-flex justify-content-start">
                    <div>
                      <p class="text-gray mb-0">My GSMT:</p>
                      <p class="text-green">65,456,12</p>
                    </div>
                    <div class="ml-5">
                      <p class="text-gray mb-0">GSMT Rewarded:</p>
                      <p class="text-blue">5,45612</p>
                    </div>
                  </div>
                  <div class="btn-group">
                    <a-button class="btn square-btn big-btn">RECEIVE</a-button>
                    <a-button class="btn square-btn big-btn btn-green">SEND</a-button>
                  </div>
                </div>
              </div>
            </a-col>
            <a-col class="gutter-row" :span="24" :lg="{ span: 10 }" :xl="{ span: 10 }">
              <div class="fee mb-4">
                <div class="mb-2">FEES</div>
                <div class="box">
                  <p class="mb-0">0.0684%</p>
                  <p class="mb-0">MAKER</p>
                </div>
                <br v-if="!isMobileGlobal()">
                <div class="box mt-sm-4">
                  <p class="mb-0">0.0684%</p>
                  <p class="mb-0">TAKER</p>
                </div>
              </div>
            </a-col>
          </a-row>
        </a-col>
        <a-col class="gutter-row" :span="24" :xl="{ span: 8 }">
          <div class="transaction">
            <h3 class="text-while uppercase">Transactions</h3>
            <a-list item-layout="horizontal" :data-source="list">
              <a-list-item slot="renderItem" slot-scope="item, index">
                <a-list-item-meta :description="item.title">
                  <a-avatar slot="avatar" src="icon/bitcoin.png"/>
                  <span slot="title">{{ item.code }}</span>
                </a-list-item-meta>
                <div slot="actions" class="d-flex flex-column">
                  <div class="text-while">{{ item.number1 }}</div>
                  <div class="text-orange">{{ item.number2 }}</div>
                </div>
              </a-list-item>
            </a-list>
          </div>
        </a-col>
      </a-row>
      <a-row :gutter="16" class="mt-3">
        <a-col class="gutter-row" :span="24" :lg="{ span: 16 }">
          <div class="transactions mb-2">
            <div class="wrap-subtitle mt-3">
              <div>
                <h3 class="sub-title">TRANSACTIONS</h3>
              </div>
              <div class="right">
                <span>View all</span>
              </div>
            </div>
            <a-list item-layout="horizontal" :data-source="list2">
              <a-list-item slot="renderItem" slot-scope="item, index">
                <a-list-item-meta :description="item.title">
                  <a-avatar slot="avatar" :src="item.type === 'up'? 'icon/up.png':'icon/down.png'"/>
                  <span slot="title">{{ item.code }} {{ item.type === `up` ? `up` : `down` }}</span>
                </a-list-item-meta>
                <div slot="actions" class="d-flex flex-column">
                  <div :class="item.type === 'up'?'text-green':'text-red'">{{ item.number }}</div>
                </div>
              </a-list-item>
            </a-list>
          </div>
        </a-col>
        <a-col class="gutter-row" :span="24" :lg="{ span: 8 }">
          <div class="d-flex flex-column align-items-end mt-5 action-wrap">
            <div class="big">
              Exchange
            </div>
            <div class="big">
              Swap GSTM
            </div>
          </div>
        </a-col>
      </a-row>
    </div>

  </div>
</template>

<script>

const list = [
  {
    code: 'GSTM',
    title: 'GSTM',
    number1: '30%',
    number2: '-2.5%',
  },
  {
    code: 'BTE',
    title: 'Bitcoin',
    number1: '30%',
    number2: '-2.5%',
  },
  {
    code: 'ETH',
    title: 'Ethereum',
    number1: '30%',
    number2: '-2.5%',
  },
  {
    code: 'Bit',
    title: 'BBitcoin',
    number1: '30%',
    number2: '-2.5%',
  },
];
const list2 = [
  {
    code: 'Sent GSTM',
    title: '12 Nov 2021',
    number: '30%',
    type: 'up',
  },
  {
    code: 'Received BTE',
    title: '12 Nov 2021',
    number: '-30%',
    type: 'down',
  },
  {
    code: 'Sent GSTM',
    title: '12 Nov 2021',
    number: '30%',
    type: 'up',
  },
  {
    code: 'Received BTE',
    title: '12 Nov 2021',
    number: '-30%',
    type: 'down',
  },
];
export default {
  data() {
    return {
      data: [
        {
          title: 'Send GSMT', quantity: 1211, sent: true
        },
        {
          title: 'Receive GSMT',
          quantity: 3121,
          sent: false
        },
        {title: 'Send GSMT', quantity: 5052, sent: true}
      ],
      list,
      list2
    }
  },

  methods: {}
}
</script>


<style scoped>
.balance {
  display: flex;
  align-items: flex-end;
  width: 100%;
}

.wallet {
  padding: 30px;
  background: #282828;
  display: inline-block;
  border-radius: 30px;
  width: 100%;
}

.wallet > span {
  display: block;
}

.wallet > span:nth-child(1) {
  text-transform: uppercase;
  margin-bottom: 5px;
}

.wallet > span:nth-child(2) {
  color: white;
  font-size: 2.6em;
  font-weight: 600;
}

.wallet > span:nth-child(3) {
  text-transform: uppercase;
  margin-bottom: 15px;
}

.fee .box {
  padding: 25px 30px;
  border-radius: 20px;
  background-color: #1DB954;
  min-width: 200px;
  font-size: 20px;
  font-weight: 300;
  display: inline-block;
}

.fee .box p:first-child {
  font-size: 22px;
}

.ant-avatar-image {
  width: 50px;
  height: 50px;
  padding: 10px;
  border-radius: 10px !important;
  background-color: #646464;
}

.ant-list-split .ant-list-item {
  border: none;
}

.big {
  width: 200px;
  padding: 30px 20px;
  background-color: white;
  color: black;
  border-radius: 20px;
  font-size: 18px;
  margin: 10px;
  text-align: center;
  text-transform: uppercase;
  font-weight: 500;
}

/* Mobile Style */
.mobile {
  padding-top: 0;
  padding-bottom: 60px;
}
.mobile .main-title {
  font-weight: normal;
  font-size: 16px;
  margin-bottom: 24px;
}
.mobile .fee {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding-top: 24px;
}
.mobile .fee > *:first-child {
  width: 100% !important;
}
.mobile .fee .box {
  min-width: 50px;
  width: 46%;
  font-size: 20px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 15px 10px;
  overflow: hidden;
}
.mobile .fee .box * {
  font-size: 18px !important;
  white-space: nowrap;
}
.mobile .action-wrap {
  flex-direction: row !important;
  justify-content: space-between;
}
.mobile .action-wrap .big {
  padding: 0;
  width: 48%;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}
</style>